@mixin layout-1() {
  &.first-side,
  &.left-spacing {
    width: calc(100% - var(--side-margins) * 1);
    max-width: var(--column3);
    padding: 0 0 0 var(--side-margins);
    padding-top: var(--header-height);
    z-index: 1;
    display: flex;
    position: relative;
    &:before {
      display: none;
      content: '';
      @include position(absolute, 0, 0, unset, calc(-1 * var(--side-margins)));
      height: 100%;
      width: calc(100% + var(--side-margins) * 2);
      background-color: rgba($color-w0, 0.8);
      backdrop-filter: blur($blur6);
    }
    > .menu-CTA {
      position: relative;
      height: fit-content;
      padding: var(--subdiv);
      margin-right: calc(var(--subdiv) * 7);
      cursor: pointer;
      z-index: 100;
      > span {
        display: block;
        height: 2px;
        background: $color-d0;
        &:nth-child(1) {
          width: calc(var(--subdiv) * 5);
        }
        &:nth-child(2) {
          width: calc(var(--subdiv) * 2);
        }
        &:nth-child(3) {
          width: calc(var(--subdiv) * 3);
        }
        &:not(:last-child) {
          margin-bottom: var(--subdiv);
        }
      }
    }
    > ul {
      position: sticky;
      top: calc(var(--subdiv) * 2);
      margin-top: calc(var(--subdiv) * 2);
      overflow: scroll;
      &:not(.chrome):not(.safari):not(.opera):not(.crios) {
        > li {
          &:before {
            transform: translateY(-50%);
            @include transition(transform, $base-time);
          }
          &:after {
            @include transition(transform, $base-time);
          }
        }
      }
      > li {
        @include body-text();
        width: fit-content;
        color: $color-d0;
        overflow: visible !important;
        cursor: pointer;
        user-select: none;
        position: relative;
        padding-left: var(--baseline);
        &:before {
          content: '';
          background: $color-d0;
          font-weight: bold;
          border-radius: 100%;
          display: flex;
          align-items: center;
          justify-content: center;
          $size: 6px;
          width: $size;
          height: $size;
          @include transition(transform, $base-time * 3);
          position: absolute;
          left: var(--subdiv);
          top: 50%;
          transform: translateY(-50%);
          line-height: 0;
        }
        &:after {
          content: '';
          $size: 16px;
          width: $size;
          height: $size;
          border-radius: 100%;
          background: $color-f0;
          display: block;
          position: absolute;
          top: 50%;
          transform: translateY(-50%) scale(0);
          left: 0;
          z-index: -1;
          opacity: 0;
          @include transition(transform, $base-time * 3);
          line-height: 0;
        }
        &.next {
          color: $color-d3;
          pointer-events: none;
          user-select: none;
          &:before {
            color: $color-d3;
          }
        }
        &.active {
          color: $color-f0;
          &:after {
            transform: translateY(-50%) scale(1);
            opacity: 1;
            line-height: 0;
          }
          &:before {
            background: $color-w0;
            line-height: 0;
          }
        }
        &:hover {
          color: $color-f0-1;
        }
      }
      &.simple-list {
        li {
          padding-left: 0;
          &:before,
          &:after {
            width: auto;
            height: auto;
            background: Transparent;
          }
        }
      }
      &.normal-list {
        li {
          padding-left: 0;
          &:before,
          &:after {
            width: auto;
            height: auto;
            background: Transparent;
          }
          &.next {
            color: $color-d0;
            pointer-events: auto;
          }
        }
      }
    }
    @media screen and (max-width: $brake2-1) {
      > ul > li:before {
        left: calc(var(--subdiv) + 1px);
      }
    }
    @media screen and (min-width: $brake4-1 + 1px) {
      > .menu-CTA {
        display: none;
      }
      > ul {
        > li {
          @include ellipsis();
          &:not(:first-child) {
            margin-top: calc(var(--subdiv) * 4);
          }
          &:last-child {
            margin-bottom: calc(
              var(--popup-footer-spacer) + var(--side-margins)
            );
          }
        }
      }
    }
    @media screen and (max-width: $brake4-1) {
      align-items: center;
      max-width: unset;
      padding-bottom: calc(var(--subdiv) * 4);
      &:before {
        display: block;
      }
      > ul {
        position: relative;
        top: unset;
        display: flex;
        max-width: 100%;
        width: 100%;
        width: calc(100% + var(--side-margins));
        margin-top: unset;
        overflow: scroll;
        > li {
          color: $color-d3;
          &.active {
            color: $color-d0;
          }
          &:hover {
            color: $color-d0-1;
          }
          &:not(:first-child) {
            margin-left: calc(var(--subdiv) * 7);
          }
          &:last-child {
            padding-right: var(--side-margins);
          }
        }
      }
      > .menu-CTA {
        height: -moz-fit-content;
        height: fit-content;
        height: -webkit-fit-content;
        padding: var(--subdiv);
        margin-right: calc(var(--subdiv) * 7);
        cursor: pointer;
        z-index: 100;
      }
    }
    @media screen and (max-width: $brake4-1) {
      > ul {
        li {
          padding-left: 0;
          white-space: nowrap;
          width: fit-content;
          &:before,
          &:after {
            width: auto;
            height: auto;
            background: transparent;
          }
        }
      }
    }
  }
  &.edit-job {
    > .screens-list-item {
      &.previous,
      &.next {
        visibility: hidden;
      }
    }
  }
  &.second-side {
    position: relative;
    display: flex;
    > .screens-list-item {
      height: 100%;
      width: calc(100% - var(--side-margins) * 3);
      padding: 0 var(--side-margins) 0 calc(var(--side-margins) * 2);
      transform: translateY(0%);
      @include transition(transform #{','} opacity, $base-time * 4);
      position: absolute;
      overflow-x: hidden;
      overflow-y: scroll;
      -webkit-overflow-scrolling: touch;
      opacity: 1;
      pointer-events: unset;

      &.previous {
        opacity: 0;
        pointer-events: none;
        transform: translateY(-100%);
      }
      &.next {
        opacity: 0;
        pointer-events: none;
        transform: translateY(100%);
      }
      > .content-aligner {
        @include transition(margin);
        width: 100%;
        max-width: var(--column12);
        margin: calc(var(--subdiv) * 4) auto var(--space-fixer) auto;
        padding: var(--header-height) 0 var(--side-margins) 0;
        > .title {
          max-width: var(--column12);
          user-select: none;
          > span {
            @include ellipsis();
            @include subtitle-1();
            display: block;
            color: $color-d2;
            margin-bottom: calc(var(--subdiv) * 2);
          }
          h2 {
            @include ellipsis();
            @include text5();
            overflow: hidden;
            text-overflow: ellipsis;
          }
          > .title {
            > p {
              @include text0();
              margin-top: calc(var(--subdiv) * 2);
              margin-left: auto;
              > span {
                &:not(:first-child) {
                  color: $color-d3;
                }
                &.divider {
                  margin: 0 calc(var(--subdiv) * 2);
                }
              }
            }
          }
        }
        > .row {
          display: flex;
          margin-top: calc(var(--baseline) + var(--subdiv) * 5);
          padding-bottom: calc(var(--baseline) * 2);
          &.vertical {
            flex-direction: column;
          }
          > .avatar-group {
            z-index: 1;
            max-width: var(--column2);
            width: 100%;
            margin-right: var(--gutter);
            > .avatar-wrapper {
              position: relative;
              width: calc(var(--column1) + var(--gutter));
            }
          }
          > .inputs-wrapper {
            max-width: var(--column9);
            margin-bottom: var(--popup-footer-spacer);
            > ul {
              display: flex;
              flex-wrap: wrap;
              margin-top: var(--baseline);
              > * {
                --spacing: 11.6%;
                width: calc(50% - var(--spacing) / 2);
                margin-bottom: calc(var(--baseline) + var(--subdiv) * 3);
                &:not(:nth-child(2n)) {
                  margin-right: var(--spacing);
                }
              }
            }
          }
          > .submit-list {
            margin-bottom: var(--popup-footer-spacer);
          }
          > .group-wrapper {
            width: 100%;
            display: flex;

            > .gr-job-group {
              width: 50%;

              &:first-child {
                width: calc(50% - var(--baseline) * 4 - var(--subdiv) * 2);
                padding-right: calc(var(--baseline) * 4 + var(--subdiv) * 2);
                z-index: 10;
              }
            }
          }
          > .experience-list {
            width: calc(33% - var(--baseline) * 3);
            margin-right: calc(var(--baseline) * 3);

            > .fixed-wrapper {
              --side-shift: calc(var(--baseline) * 3);

              width: 100%;
              max-height: calc(100vh - var(--baseline) * 10);
              @include position(
                sticky,
                calc(var(--baseline) * 5),
                unset,
                unset,
                0
              );
              padding-left: var(--side-shift);
              padding-right: var(--baseline);
              margin-left: calc(var(--side-shift) * -1);
              overflow-y: scroll;
              flex-direction: column;
            }
            ul {
              li {
                margin: calc(var(--subdiv) * 3);
              }
            }
          }
          > .experience-info {
            width: 100%;
          }
          &.duties {
            justify-content: space-between;
            .gr-job-group {
              &.type-10 {
                width: calc(50% - var(--baseline) * 3);
                @media only screen and (max-width: $brake2-5) {
                  width: 100%;
                }
              }
            }
          }
        }
        &.full-height {
          padding-bottom: 0;
        }
        [class*='content'] {
          display: flex;
          .column-company-size {
            width: 100%;
            margin: 0;
            display: flex;
            @media screen and (max-width: $brake2-4) and (min-width: $brake4 + 1) {
              flex-wrap: wrap;
            }
            @media screen and (max-width: $brake4) {
              flex-wrap: wrap;
            }
            .column {
              width: calc(100% / 3 - var(--gutter) * (3 - 1) / 3);
              margin-bottom: calc(var(--subdiv) * 4);
              @media screen and (max-width: $brake2-4) and (min-width: $brake4 + 1) {
                width: calc(100% / 2 - calc(var(--subdiv) * 4) * (2 - 1) / 2);
              }
              @media screen and (max-width: $brake4) {
                width: calc(100% / 1 - calc(var(--subdiv) * 3) * (1 - 1) / 1);
              }
              &:nth-child(2) {
                margin-bottom: calc(var(--subdiv) * 4);
              }
              &:not(:nth-child(3n)) {
                @media screen and (min-width: $brake2-4) {
                  &:not(:last-child) {
                    margin-right: var(--gutter);
                    @media screen and (max-width: $brake2-4) and (min-width: $brake4 + 1) {
                      margin-right: calc(var(--subdiv) * 4);
                    }
                  }
                }
              }
              &:not(:nth-child(2)) {
                &:not(:last-child) {
                  margin-right: var(--gutter);
                  @media screen and (max-width: $brake2-4) and (min-width: $brake4 + 1) {
                    margin-right: calc(var(--subdiv) * 4);
                  }
                  @media screen and (max-width: $brake4) {
                    margin-right: 0;
                  }
                }
              }
            }
          }
          [class*='fullWidth'] {
            width: 100%;
          }
          &.resume-upload {
            background: $color-d6-a;
            border-radius: var(--radius6);
            padding: calc(var(--subdiv) * 5);
            padding-right: calc(var(--subdiv) * 6);
            display: flex;
            align-items: center;
            color: $color-d0;
            box-sizing: border-box;
            width: 100%;
            font: 400 var(--font-size3) / 1.33 'Lato', sans-serif, open-sans;
            margin-top: var(--popup-footer-spacer);
            p {
              margin-left: auto;
              a {
                color: $color-f0;
              }
            }
            span {
              svg {
                width: 10px;
                margin-right: calc(var(--subdiv) * 3);
                cursor: pointer;
              }
            }
          }
        }
        &.content-about-us {
          .title {
            .title {
              display: flex;
              align-items: flex-end;
              p {
                margin-left: auto;
              }
            }
          }
          .gr-job-group {
            &.type-1 {
              .content {
                .ff-dropdown-input-wrapper {
                  width: calc(100% / 3 - var(--baseline) / 1.5);
                  margin-right: 0;
                  @media screen and (max-width: $brake4-1) {
                    width: 100%;
                  }
                }
              }
            }
          }
        }
        [class*='gr-job-group'] {
          &[class*='type-1'] {
            [class*='content'] {
              [class*='ff-data-animated-input-wrapper'] {
                width: 100%;
                margin-right: 0;
                @media screen and (min-width: $brake2-4 + 1px) {
                  width: calc(100% / 2 - var(--subdiv) * 3);
                }
              }
            }
          }
        }
      }
      .duties-list {
        &:not(:first-child) {
          display: none;
        }
      }
      .title-pos {
        position: relative;
        .job-status-button {
          display: inline-flex;
          position: absolute;
          right: 0;
          bottom: 0;
          [class*='pr-button-wrapper'] {
            margin-left: calc(var(--subdiv) * 2);
            padding: calc(var(--subdiv) * 1.5) calc(var(--subdiv) * 3);
            p {
              overflow: unset;
            }
            &.blue-border {
              margin-top: 0;
              margin-bottom: 0;
            }
            &.blue {
              border: 1px solid transparent;
            }
          }
        }
      }
      [class*='job-edit-detail'],
      .job-details {
        [class*='gr-job-group'] {
          &[class*='type-3'] {
            [class*='content'] {
              [class*='header'] {
                &:first-child {
                  margin-bottom: calc(var(--subdiv) * 4);
                }
                &.field-locations {
                  margin-top: calc(var(--subdiv) * 5);
                  margin-bottom: calc(var(--subdiv) * 2);
                }
                &.location-outer {
                  width: 100%;
                  &:not(:first-child) {
                    > div {
                      @media screen and (min-width: $brake2-4 + 1) {
                        width: 50%;
                      }
                      [class*='ff-data-animated-input-wrapper'] {
                        width: 100%;
                      }
                    }
                    [class*='_ff-location-input_'] {
                      @media screen and (min-width: $brake2-4 + 1) {
                        margin-right: calc(var(--baseline) + 1px);
                      }
                    }
                    .controls {
                      @media screen and (max-width: $brake2-4) {
                        margin-top: calc(var(--subdiv) * 4);
                        margin-bottom: calc(var(--subdiv) * 3);
                      }
                    }
                  }
                }
                &.job-location {
                  @media screen and (min-width: $brake2-4 + 1) {
                    width: calc(100% / 2 - var(--subdiv) * 3);
                  }
                }
                .controls {
                  margin-top: 0;
                  flex-direction: initial;
                  .ff-counter-wrapper {
                    width: auto;
                    @media screen and (min-width: $brake4-1 + 1) and (max-width: $brake2-4) {
                      margin-right: calc(var(--baseline) * 3);
                    }
                  }
                  @media screen and (max-width: $brake3 - 33) {
                    flex-direction: column-reverse;
                    .options-wrapper {
                      margin-bottom: calc(var(--subdiv) * 5);
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
    @media screen and (max-width: $brake2-3) {
      > .screens-list-item {
        > .content-aligner {
          > .row {
            > .experience-list {
              width: calc(45% - var(--baseline) * 3);
            }
            > .experience-info {
              width: 55%;
            }
          }
        }
      }
    }
    @media only screen and (max-width: $brake2-2) {
      > .screens-list-item {
        > .content-aligner {
          > .general {
            flex-direction: column;
          }
        }
      }
    }
    @media only screen and (max-width: $brake2-5) {
      > .screens-list-item {
        > .content-aligner {
          > .row {
            flex-direction: column;

            > .experience-list,
            > .experience-info {
              width: 100%;
            }
            > .experience-list {
              > .fixed-wrapper {
                position: relative;
                top: unset;
                left: unset;
                overflow-y: unset;
                padding-left: 0;
                margin-left: 0;
              }
            }
            > .group-wrapper {
              flex-direction: column;

              > .gr-job-group {
                width: 100%;

                &:first-child {
                  width: 100%;
                  padding-right: 0;
                }
              }
            }
          }
        }
      }
    }
    @media screen and (max-width: $brake4) {
      > .screens-list-item {
        > .content-aligner {
          > .row {
            > .inputs-wrapper {
              max-width: unset;
              > ul {
                > * {
                  width: 100%;
                  margin-bottom: calc(var(--baseline) + var(--subdiv) * 3);
                  &:not(:nth-child(2n)) {
                    margin-right: unset;
                  }
                }
              }
            }
          }
        }
      }
    }
    @media screen and (max-width: $brake4-1) {
      height: 100vh;
      > .screens-list-item {
        width: calc(100% - var(--side-margins) * 2);
        padding: 0 var(--side-margins) 0 var(--side-margins);
        > .content-aligner {
          width: 100%;
          margin: calc(var(--baseline) + var(--subdiv)) auto var(--space-fixer)
            auto;
          padding: 0 0 calc(var(--baseline) * 3 + var(--subdiv) * 4) 0;
          > .title {
            display: none;
          }
          > .row {
            margin-top: unset;
            padding-bottom: 0;
            > .avatar-group {
              max-width: unset;
              margin: auto;
              > .avatar-wrapper {
                width: calc(var(--baseline) * 5 + var(--subdiv) * 2);
                margin: auto;
              }
            }
          }
        }
      }
    }
    @media screen and (max-height: $brake-vertical) and (min-width: $brake2-5) {
      > .screens-list-item {
        width: calc(100% - var(--side-margins) - var(--column1));
        padding: 0 var(--side-margins) 0 var(--column1);
      }
    }
  }
  &.left-spacing {
    > ul {
      li {
        padding-left: 0;
        &:before,
        &:after {
          width: auto;
          height: auto;
          background: transparent;
        }
      }
    }
  }
}
